single_agent_planner: "RRTStar"

prediction_horizon: 2  # seconds
discretization_step: .2 # seconds 

model_predictive_controller:
  Q: [45, 45, 0]         # state error cost for a differential drive robot
  Qf: [25, 25, 0]        # state final error cost for a differential drive robot
  R: [10, 10]             # input cost for a differential drive robot
  P: [10, 10]             # input rate of change cost for a differential drive robot
  robot_robot_collision_weight: .5
  obstacle_collision_weight: 0
  print_level: 0
  print_time: 0
  acceptable_tol: 1.0e-4
  acceptable_iter: 100
  parallelize: 0

multi_robot_traj_opt:
  rob_dist_weight: 50
  obstacle_weight: 10
  time_weight: 5
  control_weight: 1
  goal_weight: 5

simulator:
  dt: .1
  show_plots: 1
  show_collision_resolution: 1

environment:
  circle_obstacles: []
  rectangle_obstacles: []
  x_range: [0, 10]
  y_range: [0, 10]

robot_starts: 
  - [6.0, 2.0, 4.8]
  - [7.0, 8.0, 2.0]

robot_goals: 
  - [6.5, 8.0, 0]
  - [7.5, 2.0, 0]

robot_radii:
  - .5
  - .5
  - .5
  - .5

Roomba:
  max_speed: 50.0
  max_acc: 30.0
  max_d_acc: 10.0
  max_steer: 360
  max_d_steer: 180
  radius: .5

target_v: 1.0

dynamics_models: 
  - Roomba
  - Roomba
  - Roomba
  - Roomba
  


